<div>
  <h2>Sign up (Model-driven)</h2>
  <form class="form" [formGroup]="form" (ngSubmit)="onSubmitHandler()">
    <div class="form-group">
      <label for="">First Name *</label>
      <input type="text" [formControlName]="'firstName'">
      <div class="error" *ngIf="(submitted || !form.controls.firstName.pristine) && form.controls.firstName.errors">
        <div *ngIf="form.controls.firstName.errors.required">
          This field is required
        </div>
      </div>
    </div>
    <div class="form-group">
      <label for="">Last Name *</label>
      <input type="text" formControlName="lastName">
      <div class="error" *ngIf="(submitted || !form.controls.lastName.pristine) && form.controls.lastName.errors">
        <div *ngIf="form.controls.lastName.errors.required">
          This field is required
        </div>
      </div>
    </div>
    <div class="form-group">
      <label for="">Email *</label>
      <input type="text" formControlName="email">
      <div class="error" *ngIf="(submitted || !form.controls.email.pristine) && form.controls.email.errors">
        <div *ngIf="form.controls.email.errors.required">
          This field is required
        </div>
      </div>
    </div>
    <div class="form-group">
      <label for="">Password *</label>
      <input type="text" formControlName="password">
      <div class="error" *ngIf="(submitted || !form.controls.password.pristine) && form.controls.password.errors">
        <div *ngIf="form.controls.password.errors.required">
          This field is required
        </div>
      </div>
    </div>
    <button type="submit" [disabled]="!form.valid">Submit</button>
  </form>
</div>
